﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using CARRE_DSS2.Models;

namespace CARRE_DSS2.Controllers
{
    public class RiskElementsController : Controller
    {
        private ApplicationDbContext db = new ApplicationDbContext();

        // GET: RiskElements
        public ActionResult Index()
        {
            return View(db.RiskElements.ToList());
        }

        // GET: RiskElements/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            RiskElement riskElement = db.RiskElements.Find(id);
            if (riskElement == null)
            {
                return HttpNotFound();
            }
            return View(riskElement);
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }

    }
}
